#include<bits/stdc++.h>
using namespace std;
int main(){
	long long n,m,k;
	cin>>n>>m>>k;
	long long r=n/k;
	long long c=m/k;
	if(n%k!=0){
		r++;
	}
	if(m%k!=0){
		c++;
    }
	long long t=r*c;
	cout<<t<<endl;
}
